EDIT - task #3336

Improve overall dataportal page loading performance
03/07/2013 08:54 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 62%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.43

Severity: major

Description

very slow pages and calls:

e Taxon - Synonymy
° Clchorleae Scorzonera

( (fetching time on
9. 4 2014 =16.117s) --> a Iot Ioadlng of

= name/{uuid}/annotations

= taxon/{uuid}/annotations

= portal/name/{uuid}/typeDesignations

= taxon and name relationsships

= portal/taxon/c1e8a3f2-2b65-4aad-ad25-1cf9df92e290/media?type=ImageFile&relationships=&relationshipsinvers=&in
cludeTaxonDescriptions=1&includeOccurrences=&includeTaxonNameDescriptions= see #4179 (improve
performance of portal/taxon/{uuid}/media)

= portal/taxon/c1e8a3f2-2b65-4aad-ad25-1cf9df92e290/nameTypeDesignations

o Cactaceae - Melocactus macracanthos (131 synonyms)
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/67c8aaf2-75da-4f19-b1c4-36tb5d26aa85 (fetching time on
3.12.2020 = 40.616s)

o Cactaceae - Aylostera pygmaea (239 synonyms)
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/f065da20-d6a9-44bb-93fc-02cf14fa4490 (fetching time on
3.12.2020 = 101.79s)

o Cactaceae - Aylostera deminuta (127 synonyms)
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/187ce4a2-5a2c-484b-8fc8-23ae2526738d (fetching time on
3.12.2020 = 52.752s)

¢ Cichorieae - Lactuca serriola
http://wp6-cichorieae.e-taxonomy.eu/portal/cdm_dataportal/taxon/85176c77-e4b6-4899-a08b-e257ab09350a/ (fetching time on
09.04.2014 = 6.872s at localhost(a.kohlbecker), on edit-production 64.573s TODO: compare again after release of cdm 3.3.2]]

¢ Ants search for Anochetus :
http://dev.e-taxonomy.eu/dataportal/antsPilot/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Ffind&query=Anoche
tus&form_build_id=form-mCBEphYoh1T9b66H-tUYY4S10c3pNsQsjvA7707_rlU&form_token=jXCJAmMsgNf8kSazGtjAc-GpbhX
MydYnwkK5Vk7t5dUE&form_id=cdm_dataportal_search_taxon_form&search[9.4.2014; 45.434s fetch time

e doGetSubtreeMedia() GET:
/portal/taxon/886¢c6363-adea-4e3c-9501-1d24f3fb0aff/subtree/media?type=ImageFile&relationships=&relationshipsinvers=_&incl
udeTaxonDescriptions=1&includeOccurrences=&includeTaxonNameDescriptions=

Tickets

#3348 (should annotations always be returned for cdm instances? [DISCUSS])
#8274 (Very large taxa (synonymies) can not be handled by the dataportal)
#41 79 (improve performance of portal/taxon/{uuid}/media)
#1453 (improve overall performance of cdm-server, cdmlib-remote and thus of dataportals)
#3489 (dataportal must not always load all descriptionelements for the general tab)
#3932 (wrong media urls in html cause multiple page loads)
#3825 (E+M Portal Performance issues)
#3438 (on first startup the cichorieae portal takes a very long time to load)
#3991 (modify TaggedTitle class: remove the 10 boolean fields)
#4112 (portal/taxon/{uuid}/accepted/{uuid} takes extremely much time in specific cases)
http://localhost/d7/cichorieae/cdm_dataportal/taxon/c1e8a3f2-2b65-4aad-ad25-1cf9df92e290/synonymy
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/67c8aaf2-75da-4f19-b1c4-36fb5d26aa85
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/f065da20-d6a9-44bb-93fc-02cf14fa4490
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/187ce4a2-5a2c-484b-8fc8-23ae2526738d
http://wp6-cichorieae.e-taxonomy.eu/portal/cdm_dataportal/taxon/85176c77-e4b6-4899-a08b-e257ab09350a/
http://dev.e-taxonomy.eu/dataportal/antsPilot/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Ffind&query=Anochetus&form_build_id=form-mCBEphYoh1T9b66H-tUYY4S10c3pNsQsjvA7707_rIU&form_token=jXCJAmsqNf8kSazGtjAc-GpbhXMydYnwkK5Vk7t5dUE&form_id=cdm_dataportal_search_taxon_form&search%5B%5BdoTaxaByCommonNames%5D=1&search%5BdoMisappliedNames%5D=1&search%5BdoSynonyms%5D=1&search%5BdoTaxa%5D=1&search%5BpageNumber%5D=0&search%5BpageSize%5D=25%7C%5B9.4.2014
http://dev.e-taxonomy.eu/dataportal/antsPilot/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Ffind&query=Anochetus&form_build_id=form-mCBEphYoh1T9b66H-tUYY4S10c3pNsQsjvA7707_rIU&form_token=jXCJAmsqNf8kSazGtjAc-GpbhXMydYnwkK5Vk7t5dUE&form_id=cdm_dataportal_search_taxon_form&search%5B%5BdoTaxaByCommonNames%5D=1&search%5BdoMisappliedNames%5D=1&search%5BdoSynonyms%5D=1&search%5BdoTaxa%5D=1&search%5BpageNumber%5D=0&search%5BpageSize%5D=25%7C%5B9.4.2014
http://dev.e-taxonomy.eu/dataportal/antsPilot/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Ffind&query=Anochetus&form_build_id=form-mCBEphYoh1T9b66H-tUYY4S10c3pNsQsjvA7707_rIU&form_token=jXCJAmsqNf8kSazGtjAc-GpbhXMydYnwkK5Vk7t5dUE&form_id=cdm_dataportal_search_taxon_form&search%5B%5BdoTaxaByCommonNames%5D=1&search%5BdoMisappliedNames%5D=1&search%5BdoSynonyms%5D=1&search%5BdoTaxa%5D=1&search%5BpageNumber%5D=0&search%5BpageSize%5D=25%7C%5B9.4.2014
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/DoTaxaByCommonNames%5D=1&search%5BdoMisappliedNames%5D=1&search%5BdoSynonyms%5D=1&search%5BdoTaxa%5D=1&search%5BpageNumber%5D=0&search%5BpageSize%5D=25
https://dev.e-taxonomy.eu/redmine/issues/3348
https://dev.e-taxonomy.eu/redmine/issues/8274

e cdm debug block

e CDM page debug mode: When CDM page debug mode enabled the start and end of cdm entity page creation is logged as well
as any http request send via the cdm_api. The log is written to a file in the temporary folder configured in the File system
settings. The log is written by the drupal devel module function dd(). r19752

Links regarding performance optimization

e mod_pagespeed for Apache: http://www.heise.de/newsticker/meldung/Google-will-das-Web-schneller-machen-1727471.html
e from Googles "make the web faster" https://developers.google.com/speed/pagespeed/
e Varnish http accelerator: https://www.varnish-cache.org/

Subtasks:
bug # 4962: improve portal/classification/{taxon_uuid}/childNodesAt/{rank_uuid} web ser... Resolved
task # 6208: Implement synonymy service responding with DTO In Progress

Related issues:

Related to EDIT - feature request #9271: Improve E+M dataportal performance In Progress
Related to EDIT - feature request #10322: Use DTOs for portal taxon page (cont.) In Progress
Related to EDIT - feature request #10474: Improve occurrence loading for taxo... New
History

#1 - 03/13/2013 01:41 PM - Andreas Kohlbecker

- Keywords set to performance

#2 - 05/01/2015 01:13 AM - Andreas Miiller

- Target version set to cdm_dataportal - Next Major Release

#3 - 11/02/2020 09:41 PM - Andreas Miiller
- Related to feature request #9271: Improve E+M dataportal performance added

#4 - 12/03/2020 11:28 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#5 - 12/03/2020 11:29 AM - Andreas Kohlbecker

- Description updated

#6 - 12/03/2020 11:30 AM - Andreas Kohlbecker

- Description updated

#7 - 12/03/2020 11:32 AM - Andreas Kohlbecker

- Description updated

#8 - 12/03/2020 11:35 AM - Andreas Kohlbecker

- Description updated

#9 - 12/03/2020 11:37 AM - Andreas Kohlbecker

- Description updated

#10 - 03/23/2022 10:30 AM - Andreas Miiller

- Description updated

#11 - 03/23/2022 10:31 AM - Andreas Miiller

- Description updated

#12 - 03/23/2022 10:32 AM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
http://www.heise.de/newsticker/meldung/Google-will-das-Web-schneller-machen-1727471.html
https://developers.google.com/speed/pagespeed/
https://www.varnish-cache.org/

- Target version changed from cdm_dataportal - Next Major Release to Release 5.44

#13 - 09/27/2023 10:22 AM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#14 - 02/14/2024 11:48 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

#15 - 02/16/2024 09:57 AM - Andreas Muller

- Related to feature request #10474: Improve occurrence loading for taxon page added
